## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-bioread
Version:        2025.05.02
Release:        %autorelease
Summary:        Utilities to read BIOPAC AcqKnowledge files

# SPDX
License:        MIT
URL:            https://github.com/uwmadison-chm/bioread
# The GitHub archive contains data required for running the tests, which the
# PyPI sdists lack.
Source:         %{url}/archive/v%{version}/bioread-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -l bioread
BuildOption(generate_buildrequires): -x all,dev

BuildArch:      noarch

BuildRequires:  help2man

%global common_description %{expand:
These utilities are for reading the files produced by BIOPAC’s AcqKnowledge
software. Much of the information is based on Application Note 156 from BIOPAC;
however, newer file formats were decoded through the tireless efforts of John
Ollinger and Nate Vack.

This library is mostly concerned with getting you the data, and less so with
interpreting UI-related header values.}

%description %{common_description}


%package -n     python3-bioread
Summary:        %{summary}

%description -n python3-bioread %{common_description}


%pyproject_extras_subpkg -n python3-bioread mat hdf5 all


%prep -a
# Upstream may like to run these as scripts during development, but they will
# be installed under site-packages without executable permissions, so we should
# remove the shebangs.
find bioread/runners/ -type f -name '*.py' -exec sed -r -i '1{/^#!/d}' '{}' '+'
# We might as well go ahead and drop the executable bit while we’re at it.
find bioread/runners/ -type f -perm /0111 -exec chmod -v a-x '{}' '+'


%install -a
# Do this in %%install rather than %%build because we need the entry points:
install -d '%{buildroot}%{_mandir}/man1'
for bin in acq2hdf5 acq2mat acq2txt acq_info acq_layout acq_markers
do
  PYTHONPATH='%{buildroot}%{python3_sitelib}' help2man \
      --no-info \
      --version-string='%{version}' \
      --output="%{buildroot}%{_mandir}/man1/${bin}.1" \
      "%{buildroot}%{_bindir}/${bin}"
done


%check -a
%pytest -k "${k-}" -v


%files -n python3-bioread -f %{pyproject_files}
%doc README.md
%doc examples/

%{_bindir}/acq2hdf5
%{_bindir}/acq2mat
%{_bindir}/acq2txt
%{_bindir}/acq_info
%{_bindir}/acq_layout
%{_bindir}/acq_markers

%{_mandir}/man1/acq2hdf5.1*
%{_mandir}/man1/acq2mat.1*
%{_mandir}/man1/acq2txt.1*
%{_mandir}/man1/acq_info.1*
%{_mandir}/man1/acq_layout.1*
%{_mandir}/man1/acq_markers.1*


%changelog
## START: Generated by rpmautospec
* Sat May 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2025.05.02-1
- Update to 2025.05.02 (close RHBZ#2363848)

* Fri May 02 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2025.03.13-2
- F41+: Use the provisional pyproject declarative buildsystem

* Fri Mar 14 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2025.03.13-1
- Update to 2025.03.13 (close RHBZ#2352490)

* Tue Mar 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2025.03.10-1
- Update to 2025.03.10 (close RHBZ#2350478)

* Tue Mar 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 3.1.0-1
- Update to 3.1.0

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 3.0.1-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.1-2
- Assert that %%pyproject_files contains a license file

* Tue Nov 21 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 3.0.1-1
- Initial package (close RHBZ#2250700)
## END: Generated by rpmautospec
